package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsConsigneeMapper;
import com.steerinfo.dil.model.RmsConsignee;
import com.steerinfo.dil.service.IRmsConsigneeService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * RmsConsignee服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-21 09:47
 * 类描述
 * 修订历史：
 * 日期：2021-12-21
 * 作者：generator
 * 参考：
 * 描述：RmsConsignee服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsConsigneeService")
public class RmsConsigneeServiceImpl implements IRmsConsigneeService {

    @Autowired
    private RmsConsigneeMapper rmsConsigneeMapper;

    
    @Override
    public List<Map<String, Object>> getConsigneeList(Map<String, Object> mapValue) {
        return rmsConsigneeMapper.getConsigneeList(mapValue);
    }
}
